> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Most Recent Transaction

> Get the most recent transactions details



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/zapier/new-transactions
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/zapier/new-transactions:
    get:
      tags:
        - Zapier
      summary: Get Most Recent Transaction
      description: Get the most recent transactions details
      operationId: getMostRecentTransaction
      parameters: []
      responses:
        '200':
          description: Successful Listing
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 1
                      description: Transaction
                    invoice_number:
                      type: string
                      example: '1234567890'
                      description: Customer's
                    amount:
                      type: string
                      example: '100.00'
                      description: Transaction
                    transaction_date:
                      type: string
                      example: '2020-10-15 12:00:00'
                      description: Transaction
                    first_name:
                      type: string
                      example: John
                      description: Customer's first name
                    last_name:
                      type: string
                      example: Doe
                      description: Customer's first name
                    phone:
                      type: string
                      example: '1234567890'
                      description: Customer's phone number
                    email:
                      type: string
                      example: email@email.com
                      description: Customer's email address
                example:
                  - id: 1
                    invoice_number: '1234567890'
                    amount: '100.00'
                    transaction_date: '2020-10-15 12:00:00'
                    first_name: John
                    last_name: Doe
                    phone: '1234567890'
                    email: email@email.com
        '401':
          description: Token permission error
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Permission denied
                properties:
                  message:
                    type: string
                    example: Permission denied
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Merchant not found
                    type: object
                    example:
                      message: Merchant not found
                    properties:
                      message:
                        type: string
                        example: Merchant not found
                  - description: Transactions not found
                    type: array
                    items:
                      type: object
                    example: []
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````